# Generated from fastlane-plugin-flutter_version-1.1.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fastlane-plugin-flutter_version

Name: rubygem-%{gem_name}
Version: 1.1.12
Release: 1%{?dist}
Summary: A plugin to retrieve versioning information for Flutter projects
License: MIT
URL: https://github.com/tianhaoz95/fastlane-plugin-flutter_version
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(fastlane) >= 2.142.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-require_tools)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A plugin to retrieve versioning information for Flutter projects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 23 2021 mockbuilder - 1.1.12-1
- Initial package
